| Qore FilePoller Module Reference 2.0

Loading...
Searching...
No Matches
Classes | Variables
FilePoller Namespace Reference

Main module namespace. More...

## Classes
class | FileDelayedPollerDataProvider
| Event-based data provider for file polling events. More...
class | FilePoller
| File polling class. More...
class | FilePollerDataProvider
| Event-based data provider for file polling events. More...
class | FilePollerDataProviderBase
| Event-based data provider for file events. More...
class | FilePollerDataProviderFactory
| The file poller data provider factory. More...
struct | FilePollerFileEventInfo
| FilePoller file event hash. More...
class | FilePollerFileEventInfoDataType
| File poller event data description. More...

## Variables
const | AppName = "Filesystem"
| Generic app name for the server filesystem.
const | EVENT_FILE = "file-event"
| File event constant.
const | FilePollerFileEventInfoDataType = new FilePollerFileEventInfoDataType()
| FIle poller event constant.

## Detailed Description

Main module namespace.